<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: FLT API</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>FLT API</h1>
<p>libm17n-flt.so が提供する API  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>データ構造</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフに関する情報の型.  <a href="structMFLTGlyph.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html">MFLTGlyphAdjustment</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフ位置調整情報のための型.  <a href="structMFLTGlyphAdjustment.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフ列の情報のための型.  <a href="structMFLTGlyphString.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">GSUB および GPOS OpenType テーブルの仕様のための型.  <a href="structMFLTOtfSpec.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTFont.html">MFLTFont</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FLT ドライバが使うフォントの型.  <a href="structMFLTFont.html#_details">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _MFLT&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FLT (Font Layout Table) の型.  <a href="#ga28abba06fa26ca3d9389382261905add"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b">mflt_get</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定された名前を持つ FLT オブジェクトを返す.  <a href="#ga3f239eb3dc7eb38ba2784959f6be8a9b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213">mflt_find</a> (int c, <a class="el" href="structMFLTFont.html">MFLTFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定された文字とフォントに合った FLT を探す.  <a href="#gaadd34d825776eff1571a6ec1ebf18213"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga1a01dd37b3e13e32317694164cb2bae7">mflt_name</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FLT の名前を返す.  <a href="#ga1a01dd37b3e13e32317694164cb2bae7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga6da91edea6065f90515c24fd48455e54">mflt_coverage</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FLT の範囲を返す.  <a href="#ga6da91edea6065f90515c24fd48455e54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d">mflt_run</a> (<a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to, <a class="el" href="structMFLTFont.html">MFLTFont</a> *font, <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FLT を使って文字をレイアウトする.  <a href="#gab7bf42cc0f306fb6058ba5d10e79e27d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gaad4554d5e2eea550061234debdf6f0c8">mdebug_dump_flt</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt, int indent)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga117deb444c67e3e003f9727ca54cb095">mflt_dump_gstring</a> (<a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring)</td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">mflt_enable_new_feature</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">mflt_iterate_otf_feature</a> )(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, int from, int to, unsigned char *table)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">mflt_font_id</a> )(struct _MFLTFont *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">mflt_try_otf</a> )(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, <a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to)</td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>libm17n-flt.so が提供する API </p>
<p>ウィンドウシステムのための FLT サポート.</p>
<p>このセクションでは、FLT (Font Layout Table) を用いた文字レイアウト機能に関する m17n FLT API を定義する。 FLT の形式は <a class="el" href="m17nDBFormat.html#mdbFLT">フォントレイアウトテーブル</a> に記述されている。 </p>
<hr/><h2>型定義</h2>
<a class="anchor" id="ga28abba06fa26ca3d9389382261905add"></a><!-- doxytag: member="m17n&#45;flt.h::MFLT" ref="ga28abba06fa26ca3d9389382261905add" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct _MFLT <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>FLT (Font Layout Table) の型. </p>
<p>型 <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add" title="FLT (Font Layout Table) の型.">MFLT</a> は FLT オブジェクトのための型である。 この内部構造は、アプリケーションプログラムからは隠蔽されている。 </p>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga3f239eb3dc7eb38ba2784959f6be8a9b"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_get" ref="ga3f239eb3dc7eb38ba2784959f6be8a9b" args="(MSymbol name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> * mflt_get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>指定された名前を持つ FLT オブジェクトを返す. </p>
<p>関数 <a class="el" href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b" title="指定された名前を持つ FLT オブジェクトを返す.">mflt_get()</a> は、<b>name</b> という名前を持つ FLT オブジェクトを返す。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>もし成功すれば、mflt_get() は見つかった FLT オブジェクトへのポインタを返す。失敗した場合は <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="gaadd34d825776eff1571a6ec1ebf18213"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_find" ref="gaadd34d825776eff1571a6ec1ebf18213" args="(int c, MFLTFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> * mflt_find </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structMFLTFont.html">MFLTFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>指定された文字とフォントに合った FLT を探す. </p>
<p>関数 <a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213" title="指定された文字とフォントに合った FLT を探す.">mflt_find()</a> は、文字 <b>c</b> をフォント <b>font</b> でレイアウトするために最も適切な FLT を返す。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>もし成功すれば、mflt_find() は見つかった FLT オブジェクトへのポインタを返す。失敗した場合は <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga1a01dd37b3e13e32317694164cb2bae7"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_name" ref="ga1a01dd37b3e13e32317694164cb2bae7" args="(MFLT *flt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * mflt_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>FLT の名前を返す. </p>
<p>関数 <a class="el" href="group__m17nFLT.html#ga1a01dd37b3e13e32317694164cb2bae7" title="FLT の名前を返す.">mflt_name()</a> は <b>flt</b> の名前を返す。 </p>

</div>
</div>
<a class="anchor" id="ga6da91edea6065f90515c24fd48455e54"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_coverage" ref="ga6da91edea6065f90515c24fd48455e54" args="(MFLT *flt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> * mflt_coverage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>FLT の範囲を返す. </p>
<p>関数 <a class="el" href="group__m17nFLT.html#ga6da91edea6065f90515c24fd48455e54" title="FLT の範囲を返す.">mflt_coverage()</a> は、<b>flt</b> がサポートする文字に対して 0 でない値を含む文字テーブルを返す。 </p>

</div>
</div>
<a class="anchor" id="gab7bf42cc0f306fb6058ba5d10e79e27d"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_run" ref="gab7bf42cc0f306fb6058ba5d10e79e27d" args="(MFLTGlyphString *gstring, int from, int to, MFLTFont *font, MFLT *flt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mflt_run </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *&nbsp;</td>
          <td class="paramname"> <em>gstring</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structMFLTFont.html">MFLTFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>FLT を使って文字をレイアウトする. </p>
<p>関数 <a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d" title="FLT を使って文字をレイアウトする.">mflt_run()</a> は、<b>gstring</b> 中の <b>from</b> から <b>to</b> 直前までの文字を <b>font</b> を用いてレイアウトする。もし <b>flt</b> がゼロでなければ、その値をすべての文字に対して用いる。 そうでなければ適切な FLT を自動的に選択する。</p>
<dl><dt><b>戻り値:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>&gt;=0</em>&nbsp;</td><td>実行成功を示す。返される値は、<b>gstring-&gt;glyphs</b> 中で以前 <b>to</b> によって示されていたグリフへのインデクスである。</td></tr>
    <tr><td valign="top"></td><td valign="top"><em>-2</em>&nbsp;</td><td>結果を格納するには <b>gstring-&gt;glyphs</b> が短すぎることを示す。 呼び出し側は、より長い <b>gstring-&gt;glyphs</b> を用いて再度この関数を呼ぶことができる。</td></tr>
    <tr><td valign="top"></td><td valign="top"><em>-1</em>&nbsp;</td><td>その他のエラーが起きたことを示す。 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaad4554d5e2eea550061234debdf6f0c8"></a><!-- doxytag: member="m17n&#45;flt.c::mdebug_dump_flt" ref="gaad4554d5e2eea550061234debdf6f0c8" args="(MFLT *flt, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a>* mdebug_dump_flt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga117deb444c67e3e003f9727ca54cb095"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_dump_gstring" ref="ga117deb444c67e3e003f9727ca54cb095" args="(MFLTGlyphString *gstring)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void mflt_dump_gstring </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *&nbsp;</td>
          <td class="paramname"> <em>gstring</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga8fa9d49e4291440961b37717afce653b"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_enable_new_feature" ref="ga8fa9d49e4291440961b37717afce653b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">mflt_enable_new_feature</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga2286495d42b49ce59cb0730482a89c70"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_iterate_otf_feature" ref="ga2286495d42b49ce59cb0730482a89c70" args=")(struct _MFLTFont *font, MFLTOtfSpec *spec, int from, int to, unsigned char *table)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* <a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">mflt_iterate_otf_feature</a>)(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, int from, int to, unsigned char *table)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga34b4a542edc38d30fe6c5fc326b5a987"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_font_id" ref="ga34b4a542edc38d30fe6c5fc326b5a987" args=")(struct _MFLTFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>(* <a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">mflt_font_id</a>)(struct _MFLTFont *font)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac5e9a0518e0ca3b1ead5a7a9050846bb"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_try_otf" ref="gac5e9a0518e0ca3b1ead5a7a9050846bb" args=")(struct _MFLTFont *font, MFLTOtfSpec *spec, MFLTGlyphString *gstring, int from, int to)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* <a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">mflt_try_otf</a>)(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, <a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
